GtkDatabox: gtk/gtkdatabox_markers.c File Reference

GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations | Functions
gtk/gtkdatabox_markers.c File Reference
`#include <gtkdatabox_markers.h>`
`#include <pango/pango.h>`
Include dependency graph for gtkdatabox_markers.c:

## Data Structures
struct | GtkDataboxMarkersInfo
struct | _GtkDataboxMarkersPrivate
## Enumerations
enum | { PROP_TYPE = 1 }
## Functions
GType | gtk_databox_markers_get_type (void)
GtkDataboxGraph * | gtk_databox_markers_new (guint len, gfloat *X, gfloat *Y, GdkColor *color, guint size, GtkDataboxMarkersType type)
void | gtk_databox_markers_set_position (GtkDataboxMarkers *markers, guint index, GtkDataboxMarkersPosition position)
void | gtk_databox_markers_set_label (GtkDataboxMarkers *markers, guint index, GtkDataboxMarkersTextPosition label_position, gchar *text, gboolean boxed)

## Enumeration Type Documentation

anonymous enum

Enumerator:

  PROP_TYPE |

## Function Documentation

GType gtk_databox_markers_get_type | ( | void |  | ) |

GtkDataboxGraph* gtk_databox_markers_new | ( | guint | len,
|  | gfloat * | X,
|  | gfloat * | Y,
|  | GdkColor * | color,
|  | guint | size,
|  | GtkDataboxMarkersType | type
| ) |  |

gtk_databox_markers_new: : length of and : array of horizontal position values of markers : array of vertical position values of markers : color of the markers : marker size or line width (depending on the ) : type of markers (e.g. triangle or circle)

Creates a new GtkDataboxMarkers object which can be added to a GtkDatabox widget as nice decoration for other graphs.

Return value: A new GtkDataboxMarkers object

void gtk_databox_markers_set_label | ( | GtkDataboxMarkers * | markers,
|  | guint | index,
|  | GtkDataboxMarkersTextPosition | label_position,
|  | gchar * | text,
|  | gboolean | boxed
| ) |  |

gtk_databox_markers_set_label: : A GtkDataboxMarkers object : index within the array of X/Y values : position of the label relative to the marker : text to be displayed in the label : Whether the label is to be enclosed in a box (true) or not (false)

Sets a label for one of the markers.

Here is the call graph for this function:

Here is the caller graph for this function:

void gtk_databox_markers_set_position | ( | GtkDataboxMarkers * | markers,
|  | guint | index,
|  | GtkDataboxMarkersPosition | position
| ) |  |

gtk_databox_markers_set_position: : A GtkDataboxMarkers object : index within the array of X/Y values : position of the marker (e.g. circle or triangle relative to their X/Y value

Sets a position for one of the markers.

Here is the call graph for this function:

Here is the caller graph for this function:
All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines